XMACII(1)

NAME
XmacII - Macintosh II server for X Version 11

SYNOPSIS
XmacII [ option ] ...

DESCRIPTION
XmacII is the server for Version 11 of the X window system on Macintosh II hardware running A/UX. It will normally be started by the shell script X11.

CONFIGURATIONS
XmacII operates under A/UX Release 2.0 and later. Color and multiple screens are supported.

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, XmacII accepts the following command line switches:

-screen number -depth number
    arranges that the given screen will operate at the given depth. Screens are numbered from 0 and correspond to the relative position of video cards in the Macintosh II slots. Supported depths are 1 (monochrome at 1 bit per pixel), 8 (color at 8 bits per pixel, indexing a colormap with 256 entries), and 24 (color at 24 bits per pixel). The server starts up, by default, in the deepest depth available for any particular screen. This option must be used to modify that behavior.

-optionmouse
    requires holding the option key down while pressing the arrow keys to get middle and right mouse buttons. Allows the arrow keys to retain their normal function

-noosm
    don't open /dev/osm

BUTTON MAPPINGS
Many X clients assume the mouse has three buttons. The A/UX X server simulates the middle and right mouse buttons with keystrokes -- the left-arrow key generates middle button events, and the right-arrow key generates right button events -- the real mouse button generates left button events. The open-apple or cloverleaf key is the "Meta" modifier, Meta can also be obtained by pressing the up-arrow key. The down-arrow key duplicates the Control key. Meta, Control, and Shift are often used in combination with other keystrokes or mouse clicks. For example, the terminal emulator xterm pops up menus in response to control-left and control-middle. The original function of the arrow keys may be obtained by holding down the Option key while pressing one of the arrow keys.

SECURITY
X uses an access control list for deciding whether or not to accept a connection from a given client. This list initially consists of the machine on which the server is running, and any hosts listed in the file /etc/X0.hosts This file should contain one line per host name, with no white space.

The user can manipulate a dynamic form of this list in the server using the xhost(1) program from the same machine as the server.

Unlike some window systems, X does not have any notion of window operation permissions or place any restrictions on what a client can do; if a program can connect to a display, it has full run of the screen. There is support for using authentication services on connection startup beyond the simple host name check, but it is not used in the standard distribution.

FONTS
Fonts are stored in individual files in the directory(ies) named by the font search path. These files may be created by the fc utility. The name of the file must correspond to the name of the font in lowercase with the suffix ".pcf" appended. Font files may be stored in compress(1) format, in which case an additional suffix (usually ".Z", defined when the server is built) must be appended to the usual filename.

FILES

<XRoot>/bin/X11
    <XRoot>/bin/X11R6 Bourne shell scripts which start the server and initial xterm client. <XRoot> refers to the root of the X11 install tree.

$HOME/.x11start
    Bourne shell script executed by initial xterm client which starts a slew of other clients. Reference copy in <XRoot>/lib/X11/.x11start

<XRoot>/bin/XmacII
    the server binary

<XRoot>/bin/Xrepair
    ensures console viability after server exits

<XRoot>/bin/*
    client binaries

<XRoot>lib/X11/fonts/*

<XRoot>/lib/X11/rgb.{dir,pag,txt}
    color names to RGB mapping

/etc/X0.hosts
    Initial access control list

/tmp/.X11-unix/X0
    Unix domain socket

/usr/adm/X0msgs
    Error log file

$HOME/.twmrc
    customization for the twm window manager. Reference copy in <XRoot>/lib/X11/Sample.twmrc

<XRoot>/lib/X11/XErrorDB
    client error message database

<XRoot>/lib/X11/app-defaults
    client specific resource specifications

<XRoot>/lib/X11/examples/Xaw/*
    source code examples of applications built on the X Toolkit

<XRoot>/lib/terminfo/x/xterm*
    terminfo database entries descibing the terminal emulation capabilities of the xterm client. Reference copies in <XRoot>/lib/X11/xterm*.tic

<XRoot>/include/X11/bitmaps/*icon
    bitmap representations of icons used by the twm window manager

SEE ALSO
xinit(1), X(1)

BUGS
In the unlikely event the server crashes, it may leave the keyboard in a non-useful state. The X11 script executes the Xrepair command in an attempt to repair the damage.